﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace StartToBike.Models
{
    /// <summary>
    /// A chatmessage of a tour.
    /// </summary>
    public class Chat
    {
        /// <summary>
        /// Identifier
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// The ID of the sender of the message.
        /// </summary>
        [ForeignKey("Sender")]
        public int UserID { get; set; }

        /// <summary>
        /// The sender of the message.
        /// </summary>
        public virtual User Sender { get; set; }

        /// <summary>
        /// Date and time when message was sent.
        /// </summary>
        public DateTime SendDateTime { get; set; }

        /// <summary>
        /// The message itself.
        /// </summary>
        [Display(Name = "Bericht")]
        public string Message { get; set; }

        /// <summary>
        /// The ID of the tour where the chat is for.
        /// </summary>
        public int TourID { get; set; }

        /// <summary>
        /// The tour where the chat is for.
        /// </summary>
        public virtual Tour Tour { get; set; }
    }
}