﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace StartToBike.Models
{
    /// <summary>
    /// Invite to a tour.
    /// </summary>
    public class Invite
    {
        /// <summary>
        /// Identifier.
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// A link which a user can click to join a tour.
        /// </summary>
        [Display(Name = "Code")]
        public string Link { get; set; }

        /// <summary>
        /// The ID of the tour to join.
        /// </summary>
        public int TourID { get; set; }

        /// <summary>
        /// The tour which the invite belongs to.
        /// </summary>
        public virtual Tour Tour { get; set; }

        /// <summary>
        /// Generates a 10 characters long link. There will not be checked if this link already exists.
        /// </summary>
        /// <returns>The link.</returns>
        public string GenerateLink()
        {
            // Initialize link variable
            string link = "";
            Random random = new Random();

            // Get 10 random letters from the alphabet and add them to the link
            for (int i = 0; i < 10; i++)
            {
                int asciiValue = random.Next(97, 123);
                char letter = (char)asciiValue;

                link += letter;
            }

            // Return the link
            return link;
        }
    }
}